import graphene
from graphene import InputObjectType


class AddNoteArgument(InputObjectType):
    content = graphene.UUID()
    block = graphene.String()
    type = graphene.String()
    parent = graphene.ID()
    text = graphene.String(required=True)


class UpdateNoteArgument(InputObjectType):
    id = graphene.ID(required=True)
    text = graphene.String(required=True)
